Send an order with one single delivery per order line.
const url = 'https://api.tradecloud1.com/v2/api-connector/order/single-delivery';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"order":{"companyId":"00f03b98-2511-489f-9695-13791b3f66b6","buyerParty":{"id":"123","idScheme":"GLN","names":["My Company Warehouse","Dock 12"],"addressLines":["Street 123","Area 52"],"postalCode":"1234 AB","city":"Rotterdam","countryCodeIso2":"NL","countryName":"The Netherlands"},"buyerAccountingParty":{"id":"123","idScheme":"GLN","names":["My Company Warehouse","Dock 12"],"addressLines":["Street 123","Area 52"],"postalCode":"1234 AB","city":"Rotterdam","countryCodeIso2":"NL","countryName":"The Netherlands"},"supplierAccountNumber":"12345","supplierParty":{"id":"123","idScheme":"GLN","names":["My Company Warehouse","Dock 12"],"addressLines":["Street 123","Area 52"],"postalCode":"1234 AB","city":"Rotterdam","countryCodeIso2":"NL","countryName":"The Netherlands"},"purchaseOrderNumber":"PO123456789","description":"Any custom text about this order","destination":{"code":"001","names":["My Company Warehouse","Dock 12"],"addressLines":["Street 123","Area 52"],"postalCode":"1234 AB","city":"Rotterdam","countryCodeIso2":"NL","locationType":"warehouse","countryName":"The Netherlands"},"terms":{"incotermsCode":"CIF","incoterms":"ECT Rotterdam","paymentTermsCode":"30D","paymentTerms":"30 days"},"indicators":{"confirmed":false,"shipped":false,"delivered":false,"completed":false,"cancelled":false,"cancelLineWhenMissing":false,"autoConfirm":false},"properties":[{"key":"color","value":"red"}],"documents":[{"code":"123456789","revision":"B","name":"Tradecloud API Manual","objectId":"00f03b98-2511-489f-9695-13791b3f66b6","url":"https://my-company.com/storage/my_file.pdf","type":"General","description":"General document"}],"notes":["one note","another note"],"labels":["first label for this order","second label for this order"],"contact":{"email":"contact@yourcompany.com"},"supplierContact":{"email":"contact@yourcompany.com"},"orderType":"Purchase"},"lines":[{"position":"0002","originalPosition":"0001","row":"1","lineType":"Item","chargeReasonCode":"FC","description":"Anything about this line","item":{"number":"12345","revision":"v2","name":"Round tube ø60x45","description":"Very nice round tube ø60 x 45","purchaseUnitOfMeasureIso":"PCE","supplierItemNumber":"67890","dimensions":[{"attribute":"mass","measure":5,"unitOfMeasureUnece":"KGM"}]},"itemDetails":{"countryOfOriginCodeIso2":"NL","combinedNomenclatureCode":"6406 10 10","netWeight":41.241,"netWeightUnitOfMeasureIso":"KG","dangerousGoodsCodeUnece":"0060","serialNumber":"0x0000000000028000","batchNumber":"#18001"},"scheduledDelivery":{"date":"2019-12-31","quantity":1234.56,"transportMode":"Road transport"},"actualDelivery":{"date":"2019-12-31","quantity":1234.56},"prices":{"grossPrice":{"priceInTransactionCurrency":{"value":1234.56,"currencyIso":"EUR"},"priceInBaseCurrency":{"value":1234.56,"currencyIso":"EUR"}},"discountPercentage":50,"netPrice":{"priceInTransactionCurrency":{"value":1234.56,"currencyIso":"EUR"},"priceInBaseCurrency":{"value":1234.56,"currencyIso":"EUR"}},"priceUnitOfMeasureIso":"PCE","priceUnitQuantity":100},"terms":{"contractNumber":"123456789","contractPosition":"0001"},"projectNumber":"PROJ12345","productionNumber":"PROD12345","salesOrderNumber":"SO123456789","indicators":{"confirmed":false,"requestReconfirmation":false,"shipped":false,"delivered":false,"completed":false,"cancelled":false,"proposeWhenAccepted":false},"properties":[{"key":"color","value":"red"}],"documents":[{"code":"123456789","revision":"B","name":"Tradecloud API Manual","objectId":"00f03b98-2511-489f-9695-13791b3f66b6","url":"https://my-company.com/storage/my_file.pdf","type":"General","description":"General document"}],"notes":["one note","another note"],"labels":["first label for this line","second label for this line"],"reason":"Production schedule changed","certification":{"typeCode":"C","type":"Class Certificate","classificationSocietyCode":"LR","classificationSociety":"Lloyd\'s Register"}}],"erpIssueDateTime":"2019-12-31T10:11:12","erpIssuedBy":{"email":"contact@yourcompany.com"},"erpLastChangeDateTime":"2019-12-31T10:11:12","erpLastChangedBy":{"email":"contact@yourcompany.com"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.tradecloud1.com/v2/api-connector/order/single-delivery \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "order": { "companyId": "00f03b98-2511-489f-9695-13791b3f66b6", "buyerParty": { "id": "123", "idScheme": "GLN", "names": [ "My Company Warehouse", "Dock 12" ], "addressLines": [ "Street 123", "Area 52" ], "postalCode": "1234 AB", "city": "Rotterdam", "countryCodeIso2": "NL", "countryName": "The Netherlands" }, "buyerAccountingParty": { "id": "123", "idScheme": "GLN", "names": [ "My Company Warehouse", "Dock 12" ], "addressLines": [ "Street 123", "Area 52" ], "postalCode": "1234 AB", "city": "Rotterdam", "countryCodeIso2": "NL", "countryName": "The Netherlands" }, "supplierAccountNumber": "12345", "supplierParty": { "id": "123", "idScheme": "GLN", "names": [ "My Company Warehouse", "Dock 12" ], "addressLines": [ "Street 123", "Area 52" ], "postalCode": "1234 AB", "city": "Rotterdam", "countryCodeIso2": "NL", "countryName": "The Netherlands" }, "purchaseOrderNumber": "PO123456789", "description": "Any custom text about this order", "destination": { "code": "001", "names": [ "My Company Warehouse", "Dock 12" ], "addressLines": [ "Street 123", "Area 52" ], "postalCode": "1234 AB", "city": "Rotterdam", "countryCodeIso2": "NL", "locationType": "warehouse", "countryName": "The Netherlands" }, "terms": { "incotermsCode": "CIF", "incoterms": "ECT Rotterdam", "paymentTermsCode": "30D", "paymentTerms": "30 days" }, "indicators": { "confirmed": false, "shipped": false, "delivered": false, "completed": false, "cancelled": false, "cancelLineWhenMissing": false, "autoConfirm": false }, "properties": [ { "key": "color", "value": "red" } ], "documents": [ { "code": "123456789", "revision": "B", "name": "Tradecloud API Manual", "objectId": "00f03b98-2511-489f-9695-13791b3f66b6", "url": "https://my-company.com/storage/my_file.pdf", "type": "General", "description": "General document" } ], "notes": [ "one note", "another note" ], "labels": [ "first label for this order", "second label for this order" ], "contact": { "email": "contact@yourcompany.com" }, "supplierContact": { "email": "contact@yourcompany.com" }, "orderType": "Purchase" }, "lines": [ { "position": "0002", "originalPosition": "0001", "row": "1", "lineType": "Item", "chargeReasonCode": "FC", "description": "Anything about this line", "item": { "number": "12345", "revision": "v2", "name": "Round tube ø60x45", "description": "Very nice round tube ø60 x 45", "purchaseUnitOfMeasureIso": "PCE", "supplierItemNumber": "67890", "dimensions": [ { "attribute": "mass", "measure": 5, "unitOfMeasureUnece": "KGM" } ] }, "itemDetails": { "countryOfOriginCodeIso2": "NL", "combinedNomenclatureCode": "6406 10 10", "netWeight": 41.241, "netWeightUnitOfMeasureIso": "KG", "dangerousGoodsCodeUnece": "0060", "serialNumber": "0x0000000000028000", "batchNumber": "#18001" }, "scheduledDelivery": { "date": "2019-12-31", "quantity": 1234.56, "transportMode": "Road transport" }, "actualDelivery": { "date": "2019-12-31", "quantity": 1234.56 }, "prices": { "grossPrice": { "priceInTransactionCurrency": { "value": 1234.56, "currencyIso": "EUR" }, "priceInBaseCurrency": { "value": 1234.56, "currencyIso": "EUR" } }, "discountPercentage": 50, "netPrice": { "priceInTransactionCurrency": { "value": 1234.56, "currencyIso": "EUR" }, "priceInBaseCurrency": { "value": 1234.56, "currencyIso": "EUR" } }, "priceUnitOfMeasureIso": "PCE", "priceUnitQuantity": 100 }, "terms": { "contractNumber": "123456789", "contractPosition": "0001" }, "projectNumber": "PROJ12345", "productionNumber": "PROD12345", "salesOrderNumber": "SO123456789", "indicators": { "confirmed": false, "requestReconfirmation": false, "shipped": false, "delivered": false, "completed": false, "cancelled": false, "proposeWhenAccepted": false }, "properties": [ { "key": "color", "value": "red" } ], "documents": [ { "code": "123456789", "revision": "B", "name": "Tradecloud API Manual", "objectId": "00f03b98-2511-489f-9695-13791b3f66b6", "url": "https://my-company.com/storage/my_file.pdf", "type": "General", "description": "General document" } ], "notes": [ "one note", "another note" ], "labels": [ "first label for this line", "second label for this line" ], "reason": "Production schedule changed", "certification": { "typeCode": "C", "type": "Class Certificate", "classificationSocietyCode": "LR", "classificationSociety": "Lloyd'\''s Register" } } ], "erpIssueDateTime": "2019-12-31T10:11:12", "erpIssuedBy": { "email": "contact@yourcompany.com" }, "erpLastChangeDateTime": "2019-12-31T10:11:12", "erpLastChangedBy": { "email": "contact@yourcompany.com" } }'Send a new or updated purchase order by the buyer using one single delivery per order line. Requires Integration role. The scheduledDelivery and actualDelivery properties are merged for lines that contain an originalPosition. In this case, they are merged into the the delivery schedule of line that contains a matching position. If an originalPosition is provided for which no line with a matching position is sent in, a BadRequest is returned.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Send order by buyer
object
The header of the purchase order.
object
The optional Tradecloud company ID of the buyer sending this order. Only needed when the integration user is authorized for multiple companies.
Example
00f03b98-2511-489f-9695-13791b3f66b6The optional buyer, buyer accounting or supplier company party:
- buyer: the legal entity that purchases the goods or services.
- buyer accounting: the legal entity that receives and handles the invoice. The supplier must send the invoice to the buyer accounting party when specified.
- supplier: the legal entity that sells the goods or services.
object
The optional identifier for the party.
Example
123The optional scheme, providing context to the identifier. Eg. KvK, GLN, etc.
Example
GLNThe location names. It is recommended to provide at least one name.
Example
[ "My Company Warehouse", "Dock 12"]The location address lines. It is recommended to provide at least one address line.
Example
[ "Street 123", "Area 52"]Location postal code
Example
1234 ABLocation city
Example
RotterdamISO 3166-1 alpha-2 country code.
Example
NLOptional country name.
Example
The NetherlandsThe optional buyer, buyer accounting or supplier company party:
- buyer: the legal entity that purchases the goods or services.
- buyer accounting: the legal entity that receives and handles the invoice. The supplier must send the invoice to the buyer accounting party when specified.
- supplier: the legal entity that sells the goods or services.
object
The optional identifier for the party.
Example
123The optional scheme, providing context to the identifier. Eg. KvK, GLN, etc.
Example
GLNThe location names. It is recommended to provide at least one name.
Example
[ "My Company Warehouse", "Dock 12"]The location address lines. It is recommended to provide at least one address line.
Example
[ "Street 123", "Area 52"]Location postal code
Example
1234 ABLocation city
Example
RotterdamISO 3166-1 alpha-2 country code.
Example
NLOptional country name.
Example
The NetherlandsThe supplier account code or number as known in your ERP system and added to the supplier connection in the Tradecloud portal.
Example
12345The optional buyer, buyer accounting or supplier company party:
- buyer: the legal entity that purchases the goods or services.
- buyer accounting: the legal entity that receives and handles the invoice. The supplier must send the invoice to the buyer accounting party when specified.
- supplier: the legal entity that sells the goods or services.
object
The optional identifier for the party.
Example
123The optional scheme, providing context to the identifier. Eg. KvK, GLN, etc.
Example
GLNThe location names. It is recommended to provide at least one name.
Example
[ "My Company Warehouse", "Dock 12"]The location address lines. It is recommended to provide at least one address line.
Example
[ "Street 123", "Area 52"]Location postal code
Example
1234 ABLocation city
Example
RotterdamISO 3166-1 alpha-2 country code.
Example
NLOptional country name.
Example
The NetherlandsThe purchase order number as known in your ERP system.
Example
PO123456789A free format order description or reference
Example
Any custom text about this orderThe delivery destination of this order as known in your ERP system.
object
Destination location code or number. The code should be unique in your ERP system and immutable.
Example
001The location names. It is recommended to provide at least one name.
Example
[ "My Company Warehouse", "Dock 12"]The location address lines. It is recommended to provide at least one address line.
Example
[ "Street 123", "Area 52"]Location postal code
Example
1234 ABLocation city
Example
RotterdamISO 3166-1 alpha-2 country code.
Example
NLDestination location type.
Example
warehouseThe country name.
Example
The NetherlandsThe order terms as agreed with your supplier.
object
Incoterms code according to ICC Incoterms 2020.
Example
CIFThe incoterms named place (delivery, terminal, port or destination).
Example
ECT RotterdamThe payment terms code as defined in your ERP system.
Example
30DThe payment terms text as defined in your ERP system.
Example
30 daysUse optional order level indicators to provide additional order or line state.
object
All goods of this order are confirmed by the supplier, according to the buyer.
Example
falseAll goods of this order are shipped by the supplier, according to the buyer.
Example
falseMarks the order as delivered at the buyer. Intended for stock items with delivery tolerances, where a receipt within tolerance counts as delivered. May be set on top of the delivery history for this purpose.
Example
falseThe order has been completed at the buyer.
Example
falseThe order has been cancelled by the buyer.
Example
falseIf this flag set to true and existing order lines positions are not present among incoming lines then they will be cancelled. This only works when this indicator is set on order level in the POST /order API
Example
falseIf this flag set to true then the order lines will be automatically confirmed in case of a supplier proposal or reopen request.
Example
falseKey-value based custom fields. Properties are optional.
A key-value based custom field.
object
The key of the custom field.
Example
colorThe value of the custom field. Use \n for a new line.
Example
redDocument references and meta data. The total number of documents is limited to 100 documents per order header. If a document has the same code as an existing order document, the original order document is overwritten. Otherwise, the newly attached document is appended.
Either use the Tradecloud object-storage API to upload your document, or your company’s content server, or provide only document meta data.
object
Document code or number. The document code should be unique within your company and immutable.
Example
123456789Document revision (or version) code or number
Example
BDocument short name
Example
Tradecloud API ManualTradecloud object identifier which was returned by the Tradecloud object-storage API upload
Example
00f03b98-2511-489f-9695-13791b3f66b6Location of the document if is not stored in Tradecloud.
Example
https://my-company.com/storage/my_file.pdfThe type of the attached document. Eg. General, Class Product Certificate, Manual, Packing Instructions, etc…
Example
GeneralDescription of the attached document.
Example
General documentString based custom fields. Use \n for a new line. Notes are optional.
Example
[ "one note", "another note"]Value-added services labels on order level. Please note the practicable number of labels is dependent on the supplier. Labels are optional.
Example
[ "first label for this order", "second label for this order"]The employee who is responsible for or who added, updated or responded to this order.
object
Employee email as known in Tradecloud.
Example
contact@yourcompany.comThe employee who is responsible for or who added, updated or responded to this order.
object
Employee email as known in Tradecloud.
Example
contact@yourcompany.comThe optional order type, one of:
Purchase- This is a purchase order (default).Forecast- This is a forecast order.RFQ- This is a request for quotation order.
The lines of the purchase order with one single delivery per order line. You only have to send the lines which are new or updated. The total number of lines is limited to 500 lines per order. An empty array is allowed; when combined with order.indicators.cancelLineWhenMissing=true, this will cancel all existing lines.
A purchase order line contains at least the position, item and a scheduled delivery. Lines with the same item, prices and terms will be grouped by Tradecloud into one order line with a combined delivery schedule.
object
Required position identifier in the purchase order. The position should be unique within the order and immutable.
Example
0002Optional position referencing the original order line when the line has been split by either the supplier or buyer as part of a delivery schedule.
Example
0001Row label for this position. Only use a row when there is a distinction between position and row in your ERP system. Do NOT use row as identifier.
Example
1The optional order line type set by the buyer or supplier, one of:
Item- This is an item line (default).Service- This is a service line.Charge- This is a charge line.
The optional charge reason code set by the buyer or supplier, in case of a charge line.
Example
FCA free format line description or reference.
Example
Anything about this lineThe item (or article, goods) to be delivered.
object
The item code or number as known in your ERP system. An item number should be unique within your ERP system and immutable.
Example
12345The revision (or version) of this item.
Example
v2The short name of this item.
Example
Round tube ø60x45The optionally long description of this item.
Example
Very nice round tube ø60 x 45The purchase unit of measure for this item, passed through as-is to the supplier. No standard is enforced; UN/ECE Recommendation N°20 (Codes for Units of Measure) is recommended if you want a standard.
Example
PCEThe item code or number as known by your supplier. Advised in case of wholesale suppliers.
Example
67890Zero, one or more dimensions related to the item
Defines measurable dimensions (length, width, area, mass or volume) of an item.
object
Measurable dimension type of the item.
Example
massMeasurement value.
Example
5The unit of measure for this dimension, passed through as-is. No standard is enforced; UN/ECE Recommendation N°20 (Codes for Units of Measure) is recommended if you want a standard.
Example
KGMThe buyer may send item details to inform the supplier about part information. The supplier may check, change and add item details if they are not correct or incomplete.
object
The country of manufacture, production, or growth where an article or product comes from
Example
NLA tool for classifying goods, set up to meet the requirements both of the Common Customs Tariff and of the EU’s external trade statistics
Example
6406 10 10Net weight of one item
Example
41.241The net weight unit of measure, passed through as-is. Mandatory when netWeight is provided. No standard is enforced; UN/ECE Recommendation N°20 (Codes for Units of Measure) is recommended if you want a standard.
Example
KGUN numbers or UN IDs are four-digit numbers that identify dangerous goods, hazardous substances and articles in the framework of international transport
Example
0060Unique identifier assigned incrementally or sequentially to an item, to uniquely identify it
Example
0x0000000000028000Identification number assigned to a particular quantity or lot of material from a single manufacturer
Example
#18001The requested planned delivery line by the buyer. Use this field as an alternative for the deliverySchedule field if your ERP system does not support a deliverySchedule within an order line natively and the delivery schedule is spread over multiple order lines instead. Tradecloud will transform the scheduledDelivery of order lines with the same originalPosition into one order line having one delivery schedule. This will be merged into the orderLine that has a position that matches the originalPositions of the split lines.
object
The requested delivery date of this delivery position. Date has ISO 8601 date format.
Example
2019-12-31The requested quantity of this delivery position. Quantity has a decimal format.
Example
1234.56The Mode of Transport used for the delivery of goods. UNECE.org Recommendation 19 is advised for Mode of Transport values.
Example
Road transportThe actual delivery at the buyer. Use this field as an alternative for the deliveryHistory field if your ERP system does not support a deliveryHistory within an order line natively and the delivery history is spread over multiple order lines instead. Tradecloud will transform the actualDelivery of order lines with the same originalPosition into one order line having one delivery history. This is merged into the orderLine that has a position that matches the given originalPosition.
object
The actual delivery date of this delivery position. Date has ISO 8601 date format.
Example
2019-12-31The actual delivered quantity of this delivery position. Quantity has a decimal format.
Example
1234.56Advised is to provide only netPrice or alternatively grossPrice together with discountPercentage.
object
Provide a price in the transaction currency of the supplier, like CNY in China. If available provide a price in your base currency, like EUR in the EU.
object
Price value and currency fields.
object
Price value has a decimal format with any number of digits.
Example
1234.563-Letter currency code according to ISO 4217.
Example
EURPrice value and currency fields.
object
Price value has a decimal format with any number of digits.
Example
1234.563-Letter currency code according to ISO 4217.
Example
EURThe discount percentage. Use together with grossPrice.
Example
50Provide a price in the transaction currency of the supplier, like CNY in China. If available provide a price in your base currency, like EUR in the EU.
object
Price value and currency fields.
object
Price value has a decimal format with any number of digits.
Example
1234.563-Letter currency code according to ISO 4217.
Example
EURPrice value and currency fields.
object
Price value has a decimal format with any number of digits.
Example
1234.563-Letter currency code according to ISO 4217.
Example
EURThe price unit of measure, passed through as-is. No standard is enforced; UN/ECE Recommendation N°20 is recommended if you want a standard. The purchase unit and price unit may be different.
Example
PCEThe item quantity at which the price applies. Typically this is 1 (unit price) or 100 (the price applies to 100 items). This number must be greater than 0
Example
100Contract framework as agreed with your supplier.
object
The contract framework code or number associated with this line.
Example
123456789Position in the framework contract associated with this line.
Example
0001Project code or number associated with this line.
Example
PROJ12345Production code or number associated with this line.
Example
PROD12345Sales order code or number associated with this line.
Example
SO123456789object
All goods of this order line are confirmed by the supplier, according to the buyer. When lines are grouped into a delivery schedule, only the parent order line will become confirmed when all lines are confirmed.
Example
falseIf this flag is set to true, then the supplier is requested to reconfirm the order line. When lines are grouped into a delivery schedule, the parent order line has to be reconfirmed.
Example
falseAll goods of this order line are shipped by the supplier, according to the buyer. When lines are grouped into a delivery schedule, this line will become shipped and the parent order line will become shipped when all lines are marked as shipped.
Example
falseMarks the order line as delivered at the buyer. When lines are grouped into a delivery schedule, this line will become delivered and the parent order line will become delivered when all lines are marked as delivered. Intended for stock items with delivery tolerances, where a receipt within tolerance counts as delivered. May be set on top of the delivery history for this purpose.
Example
falseThe order line has been completed at the buyer. When lines are grouped into a delivery schedule, only the parent order line will become completed when all lines are marked as completed.
Example
falseThe order line has been cancelled by the buyer. When lines are grouped into a delivery schedule, this line will be removed from the delivery schedule, and the parent order line will become cancelled when all lines are marked as cancelled.
Example
falseIf set to true, when supplier confirms a line then this line becomes a proposal. When lines are grouped into a delivery schedule, only the parent order line will become a proposal.
Example
falseKey-value based custom fields. Properties are optional.
A key-value based custom field.
object
The key of the custom field.
Example
colorThe value of the custom field. Use \n for a new line.
Example
redDocument references and meta data. The total number of documents is limited to 100 documents per order line. If a document has the same code as an existing order line document, the original order line document is overwritten. Otherwise, the newly attached document is appended.
Either use the Tradecloud object-storage API to upload your document, or your company’s content server, or provide only document meta data.
object
Document code or number. The document code should be unique within your company and immutable.
Example
123456789Document revision (or version) code or number
Example
BDocument short name
Example
Tradecloud API ManualTradecloud object identifier which was returned by the Tradecloud object-storage API upload
Example
00f03b98-2511-489f-9695-13791b3f66b6Location of the document if is not stored in Tradecloud.
Example
https://my-company.com/storage/my_file.pdfThe type of the attached document. Eg. General, Class Product Certificate, Manual, Packing Instructions, etc…
Example
GeneralDescription of the attached document.
Example
General documentString based custom fields. Use \n for a new line. Notes are optional.
Example
[ "one note", "another note"]Value-added services labels on line level. Please note the practicable number of labels is dependent on the supplier. Labels are optional.
Example
[ "first label for this line", "second label for this line"]Optional reason for a (re)issued, reopened or cancelled order line.
Example
Production schedule changed3th party certification requirements by buyer.
object
Certification Type code
Example
CHuman readable Certification Type
Example
Class CertificateClassification Society code
Example
LRHuman readable Classification Society
Example
Lloyd's RegisterISO local date and time at which the order was originally issued in your ERP system.
Example
2019-12-31T10:11:12The employee who is responsible for or who added, updated or responded to this order.
object
Employee email as known in Tradecloud.
Example
contact@yourcompany.comISO local date and time at which the order was updated in your ERP system.
Example
2019-12-31T10:11:12The employee who is responsible for or who added, updated or responded to this order.
object
Employee email as known in Tradecloud.
Example
contact@yourcompany.comobject
The header of the purchase order.
object
The optional Tradecloud company ID of the buyer sending this order. Only needed when the integration user is authorized for multiple companies.
Example
00f03b98-2511-489f-9695-13791b3f66b6The optional buyer, buyer accounting or supplier company party:
- buyer: the legal entity that purchases the goods or services.
- buyer accounting: the legal entity that receives and handles the invoice. The supplier must send the invoice to the buyer accounting party when specified.
- supplier: the legal entity that sells the goods or services.
object
The optional identifier for the party.
Example
123The optional scheme, providing context to the identifier. Eg. KvK, GLN, etc.
Example
GLNThe location names. It is recommended to provide at least one name.
Example
[ "My Company Warehouse", "Dock 12"]The location address lines. It is recommended to provide at least one address line.
Example
[ "Street 123", "Area 52"]Location postal code
Example
1234 ABLocation city
Example
RotterdamISO 3166-1 alpha-2 country code.
Example
NLOptional country name.
Example
The NetherlandsThe optional buyer, buyer accounting or supplier company party:
- buyer: the legal entity that purchases the goods or services.
- buyer accounting: the legal entity that receives and handles the invoice. The supplier must send the invoice to the buyer accounting party when specified.
- supplier: the legal entity that sells the goods or services.
object
The optional identifier for the party.
Example
123The optional scheme, providing context to the identifier. Eg. KvK, GLN, etc.
Example
GLNThe location names. It is recommended to provide at least one name.
Example
[ "My Company Warehouse", "Dock 12"]The location address lines. It is recommended to provide at least one address line.
Example
[ "Street 123", "Area 52"]Location postal code
Example
1234 ABLocation city
Example
RotterdamISO 3166-1 alpha-2 country code.
Example
NLOptional country name.
Example
The NetherlandsThe supplier account code or number as known in your ERP system and added to the supplier connection in the Tradecloud portal.
Example
12345The optional buyer, buyer accounting or supplier company party:
- buyer: the legal entity that purchases the goods or services.
- buyer accounting: the legal entity that receives and handles the invoice. The supplier must send the invoice to the buyer accounting party when specified.
- supplier: the legal entity that sells the goods or services.
object
The optional identifier for the party.
Example
123The optional scheme, providing context to the identifier. Eg. KvK, GLN, etc.
Example
GLNThe location names. It is recommended to provide at least one name.
Example
[ "My Company Warehouse", "Dock 12"]The location address lines. It is recommended to provide at least one address line.
Example
[ "Street 123", "Area 52"]Location postal code
Example
1234 ABLocation city
Example
RotterdamISO 3166-1 alpha-2 country code.
Example
NLOptional country name.
Example
The NetherlandsThe purchase order number as known in your ERP system.
Example
PO123456789A free format order description or reference
Example
Any custom text about this orderThe delivery destination of this order as known in your ERP system.
object
Destination location code or number. The code should be unique in your ERP system and immutable.
Example
001The location names. It is recommended to provide at least one name.
Example
[ "My Company Warehouse", "Dock 12"]The location address lines. It is recommended to provide at least one address line.
Example
[ "Street 123", "Area 52"]Location postal code
Example
1234 ABLocation city
Example
RotterdamISO 3166-1 alpha-2 country code.
Example
NLDestination location type.
Example
warehouseThe country name.
Example
The NetherlandsThe order terms as agreed with your supplier.
object
Incoterms code according to ICC Incoterms 2020.
Example
CIFThe incoterms named place (delivery, terminal, port or destination).
Example
ECT RotterdamThe payment terms code as defined in your ERP system.
Example
30DThe payment terms text as defined in your ERP system.
Example
30 daysUse optional order level indicators to provide additional order or line state.
object
All goods of this order are confirmed by the supplier, according to the buyer.
Example
falseAll goods of this order are shipped by the supplier, according to the buyer.
Example
falseMarks the order as delivered at the buyer. Intended for stock items with delivery tolerances, where a receipt within tolerance counts as delivered. May be set on top of the delivery history for this purpose.
Example
falseThe order has been completed at the buyer.
Example
falseThe order has been cancelled by the buyer.
Example
falseIf this flag set to true and existing order lines positions are not present among incoming lines then they will be cancelled. This only works when this indicator is set on order level in the POST /order API
Example
falseIf this flag set to true then the order lines will be automatically confirmed in case of a supplier proposal or reopen request.
Example
falseKey-value based custom fields. Properties are optional.
A key-value based custom field.
object
The key of the custom field.
Example
colorThe value of the custom field. Use \n for a new line.
Example
redDocument references and meta data. The total number of documents is limited to 100 documents per order header. If a document has the same code as an existing order document, the original order document is overwritten. Otherwise, the newly attached document is appended.
Either use the Tradecloud object-storage API to upload your document, or your company’s content server, or provide only document meta data.
object
Document code or number. The document code should be unique within your company and immutable.
Example
123456789Document revision (or version) code or number
Example
BDocument short name
Example
Tradecloud API ManualTradecloud object identifier which was returned by the Tradecloud object-storage API upload
Example
00f03b98-2511-489f-9695-13791b3f66b6Location of the document if is not stored in Tradecloud.
Example
https://my-company.com/storage/my_file.pdfThe type of the attached document. Eg. General, Class Product Certificate, Manual, Packing Instructions, etc…
Example
GeneralDescription of the attached document.
Example
General documentString based custom fields. Use \n for a new line. Notes are optional.
Example
[ "one note", "another note"]Value-added services labels on order level. Please note the practicable number of labels is dependent on the supplier. Labels are optional.
Example
[ "first label for this order", "second label for this order"]The employee who is responsible for or who added, updated or responded to this order.
object
Employee email as known in Tradecloud.
Example
contact@yourcompany.comThe employee who is responsible for or who added, updated or responded to this order.
object
Employee email as known in Tradecloud.
Example
contact@yourcompany.comThe optional order type, one of:
Purchase- This is a purchase order (default).Forecast- This is a forecast order.RFQ- This is a request for quotation order.
The lines of the purchase order with one single delivery per order line. You only have to send the lines which are new or updated. The total number of lines is limited to 500 lines per order. An empty array is allowed; when combined with order.indicators.cancelLineWhenMissing=true, this will cancel all existing lines.
A purchase order line contains at least the position, item and a scheduled delivery. Lines with the same item, prices and terms will be grouped by Tradecloud into one order line with a combined delivery schedule.
object
Required position identifier in the purchase order. The position should be unique within the order and immutable.
Example
0002Optional position referencing the original order line when the line has been split by either the supplier or buyer as part of a delivery schedule.
Example
0001Row label for this position. Only use a row when there is a distinction between position and row in your ERP system. Do NOT use row as identifier.
Example
1The optional order line type set by the buyer or supplier, one of:
Item- This is an item line (default).Service- This is a service line.Charge- This is a charge line.
The optional charge reason code set by the buyer or supplier, in case of a charge line.
Example
FCA free format line description or reference.
Example
Anything about this lineThe item (or article, goods) to be delivered.
object
The item code or number as known in your ERP system. An item number should be unique within your ERP system and immutable.
Example
12345The revision (or version) of this item.
Example
v2The short name of this item.
Example
Round tube ø60x45The optionally long description of this item.
Example
Very nice round tube ø60 x 45The purchase unit of measure for this item, passed through as-is to the supplier. No standard is enforced; UN/ECE Recommendation N°20 (Codes for Units of Measure) is recommended if you want a standard.
Example
PCEThe item code or number as known by your supplier. Advised in case of wholesale suppliers.
Example
67890Zero, one or more dimensions related to the item
Defines measurable dimensions (length, width, area, mass or volume) of an item.
object
Measurable dimension type of the item.
Example
massMeasurement value.
Example
5The unit of measure for this dimension, passed through as-is. No standard is enforced; UN/ECE Recommendation N°20 (Codes for Units of Measure) is recommended if you want a standard.
Example
KGMThe buyer may send item details to inform the supplier about part information. The supplier may check, change and add item details if they are not correct or incomplete.
object
The country of manufacture, production, or growth where an article or product comes from
Example
NLA tool for classifying goods, set up to meet the requirements both of the Common Customs Tariff and of the EU’s external trade statistics
Example
6406 10 10Net weight of one item
Example
41.241The net weight unit of measure, passed through as-is. Mandatory when netWeight is provided. No standard is enforced; UN/ECE Recommendation N°20 (Codes for Units of Measure) is recommended if you want a standard.
Example
KGUN numbers or UN IDs are four-digit numbers that identify dangerous goods, hazardous substances and articles in the framework of international transport
Example
0060Unique identifier assigned incrementally or sequentially to an item, to uniquely identify it
Example
0x0000000000028000Identification number assigned to a particular quantity or lot of material from a single manufacturer
Example
#18001The requested planned delivery line by the buyer. Use this field as an alternative for the deliverySchedule field if your ERP system does not support a deliverySchedule within an order line natively and the delivery schedule is spread over multiple order lines instead. Tradecloud will transform the scheduledDelivery of order lines with the same originalPosition into one order line having one delivery schedule. This will be merged into the orderLine that has a position that matches the originalPositions of the split lines.
object
The requested delivery date of this delivery position. Date has ISO 8601 date format.
Example
2019-12-31The requested quantity of this delivery position. Quantity has a decimal format.
Example
1234.56The Mode of Transport used for the delivery of goods. UNECE.org Recommendation 19 is advised for Mode of Transport values.
Example
Road transportThe actual delivery at the buyer. Use this field as an alternative for the deliveryHistory field if your ERP system does not support a deliveryHistory within an order line natively and the delivery history is spread over multiple order lines instead. Tradecloud will transform the actualDelivery of order lines with the same originalPosition into one order line having one delivery history. This is merged into the orderLine that has a position that matches the given originalPosition.
object
The actual delivery date of this delivery position. Date has ISO 8601 date format.
Example
2019-12-31The actual delivered quantity of this delivery position. Quantity has a decimal format.
Example
1234.56Advised is to provide only netPrice or alternatively grossPrice together with discountPercentage.
object
Provide a price in the transaction currency of the supplier, like CNY in China. If available provide a price in your base currency, like EUR in the EU.
object
Price value and currency fields.
object
Price value has a decimal format with any number of digits.
Example
1234.563-Letter currency code according to ISO 4217.
Example
EURPrice value and currency fields.
object
Price value has a decimal format with any number of digits.
Example
1234.563-Letter currency code according to ISO 4217.
Example
EURThe discount percentage. Use together with grossPrice.
Example
50Provide a price in the transaction currency of the supplier, like CNY in China. If available provide a price in your base currency, like EUR in the EU.
object
Price value and currency fields.
object
Price value has a decimal format with any number of digits.
Example
1234.563-Letter currency code according to ISO 4217.
Example
EURPrice value and currency fields.
object
Price value has a decimal format with any number of digits.
Example
1234.563-Letter currency code according to ISO 4217.
Example
EURThe price unit of measure, passed through as-is. No standard is enforced; UN/ECE Recommendation N°20 is recommended if you want a standard. The purchase unit and price unit may be different.
Example
PCEThe item quantity at which the price applies. Typically this is 1 (unit price) or 100 (the price applies to 100 items). This number must be greater than 0
Example
100Contract framework as agreed with your supplier.
object
The contract framework code or number associated with this line.
Example
123456789Position in the framework contract associated with this line.
Example
0001Project code or number associated with this line.
Example
PROJ12345Production code or number associated with this line.
Example
PROD12345Sales order code or number associated with this line.
Example
SO123456789object
All goods of this order line are confirmed by the supplier, according to the buyer. When lines are grouped into a delivery schedule, only the parent order line will become confirmed when all lines are confirmed.
Example
falseIf this flag is set to true, then the supplier is requested to reconfirm the order line. When lines are grouped into a delivery schedule, the parent order line has to be reconfirmed.
Example
falseAll goods of this order line are shipped by the supplier, according to the buyer. When lines are grouped into a delivery schedule, this line will become shipped and the parent order line will become shipped when all lines are marked as shipped.
Example
falseMarks the order line as delivered at the buyer. When lines are grouped into a delivery schedule, this line will become delivered and the parent order line will become delivered when all lines are marked as delivered. Intended for stock items with delivery tolerances, where a receipt within tolerance counts as delivered. May be set on top of the delivery history for this purpose.
Example
falseThe order line has been completed at the buyer. When lines are grouped into a delivery schedule, only the parent order line will become completed when all lines are marked as completed.
Example
falseThe order line has been cancelled by the buyer. When lines are grouped into a delivery schedule, this line will be removed from the delivery schedule, and the parent order line will become cancelled when all lines are marked as cancelled.
Example
falseIf set to true, when supplier confirms a line then this line becomes a proposal. When lines are grouped into a delivery schedule, only the parent order line will become a proposal.
Example
falseKey-value based custom fields. Properties are optional.
A key-value based custom field.
object
The key of the custom field.
Example
colorThe value of the custom field. Use \n for a new line.
Example
redDocument references and meta data. The total number of documents is limited to 100 documents per order line. If a document has the same code as an existing order line document, the original order line document is overwritten. Otherwise, the newly attached document is appended.
Either use the Tradecloud object-storage API to upload your document, or your company’s content server, or provide only document meta data.
object
Document code or number. The document code should be unique within your company and immutable.
Example
123456789Document revision (or version) code or number
Example
BDocument short name
Example
Tradecloud API ManualTradecloud object identifier which was returned by the Tradecloud object-storage API upload
Example
00f03b98-2511-489f-9695-13791b3f66b6Location of the document if is not stored in Tradecloud.
Example
https://my-company.com/storage/my_file.pdfThe type of the attached document. Eg. General, Class Product Certificate, Manual, Packing Instructions, etc…
Example
GeneralDescription of the attached document.
Example
General documentString based custom fields. Use \n for a new line. Notes are optional.
Example
[ "one note", "another note"]Value-added services labels on line level. Please note the practicable number of labels is dependent on the supplier. Labels are optional.
Example
[ "first label for this line", "second label for this line"]Optional reason for a (re)issued, reopened or cancelled order line.
Example
Production schedule changed3th party certification requirements by buyer.
object
Certification Type code
Example
CHuman readable Certification Type
Example
Class CertificateClassification Society code
Example
LRHuman readable Classification Society
Example
Lloyd's RegisterISO local date and time at which the order was originally issued in your ERP system.
Example
2019-12-31T10:11:12The employee who is responsible for or who added, updated or responded to this order.
object
Employee email as known in Tradecloud.
Example
contact@yourcompany.comISO local date and time at which the order was updated in your ERP system.
Example
2019-12-31T10:11:12The employee who is responsible for or who added, updated or responded to this order.
object
Employee email as known in Tradecloud.
Example
contact@yourcompany.comResponses
Section titled “Responses”Successfully verified and sent order.
Successfully queued order. The order has not yet been verified.
Bad request, the user should check the response body for more info.
object
Example
{ "code": "invalid.original.position", "message": "Could not merge lines with originalPosition=001, because no line is provided with this position"}object
Example
invalid.original.positionExample
Could not merge lines with originalPosition=001, because no line is provided with this positionNot authenticated, the user should authenticate using a valid access token, use Basic Authentication, or refresh to get a valid token. May or may not contain a structured response body
object
Example
Authentication failedThe number of authentication attempts left before the user is banned. Applicable when authentication through Basic Authentication fails.
Example
2Int describing the number of seconds left before the user is allowed to attempt a login with Basic Authentication again.
Example
300Not authorized, the user is authenticated but does not have the necessary permission.
object
Example
Not authorized for this actionSupplier not found.
An unexpected error occurred, Tradecloud ops will be alerted. May or may not contain a structured response body.
object
Example
some.errorExample
Some error occurredThe cause of this error. Free-format JSON object.
object
Service is not healthy (bad gateway), Tradecloud ops will be alerted. Will not contain a structured response body.
Service is unavailable (overloaded or down for maintenance), Tradecloud ops will be alerted. May or may not contain a structured response body.
object
Example
Could not retrieve data from external source.Service is unavailable (gateway timeout), Tradecloud ops will be alerted. Will not contain a structured response body.
